# Update post

## Update post

> Returns an id of the updated post

```json
{"openapi":"3.1.0","info":{"title":"Ocoya API","version":"1.1.0"},"servers":[{"url":"https://app.ocoya.com/api/_public/v1"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"X-API-Key"}}},"paths":{"/post/{postId}":{"patch":{"summary":"Update post","description":"Returns an id of the updated post","parameters":[{"in":"path","name":"postId","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"scheduledAt":{"type":"string"}}}}}},"responses":{"200":{"description":"Success"},"500":{"description":"Unknown error"}}}}}}
```

### Body parameters explained

<table data-full-width="true"><thead><tr><th width="179">Parameter</th><th width="125">Type</th><th width="197">Required</th><th>Information</th></tr></thead><tbody><tr><td>scheduledAt</td><td>string</td><td>no</td><td>Date of the schedule (must follow <a href="/pages/vA8AQyySwpW2dRC6rCEc">Date limitations</a>)</td></tr></tbody></table>

### Sample response

{% code lineNumbers="true" fullWidth="true" expandable="true" %}

```json
{}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ocoya.com/endpoints/posts/update-post.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
